
QGIS Application - Bug report #4310

Georeferencer: GCP are not removed from map canvas and the tool does not seem to quit really

2011-09-24 03:03 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: mmassing -

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14247

Description

After closing the georeferencer the GCPs remain in the QGIS canvas. Creating a new project do not have effect and the GCPs remain.

Moreover it seems that the tool does not quit really: after exiting the georeferencer (file->quit) and you reopen it, the tool will open in the

state before quitting it, not in a clean state.

Tested on trunk on both Windows and Linux.

Associated revisions

Revision be0e17be - 2012-05-07 07:48 AM - Nathan Woodrow 

Remove old GCPs in georeferencer; clear image on close.  Fixes #4310

Revision d11603e7 - 2012-05-08 11:18 PM - Nathan Woodrow 

Remove old GCPs in georeferencer; clear image on close.  Fixes #4310

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-01-15 12:24 AM - Alexander Bruy

- Crashes QGIS or corrupts data set to No

- Assignee changed from Maxim Dubinin to mmassing -

- Affected QGIS version set to master

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-05-06 10:57 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"be0e17be31784702c5f8b13b048e6afbe0e972de".

#5 - 2012-08-19 01:19 AM - Lene Fischer
I still got the same problem - it is not solved in 1.8 version. (Windows XP, Windows7/64 bit, Mac)

Regards

Lene Fischer

#6 - 2012-08-19 01:41 AM - Jürgen Fischer

Lene Fischer wrote:

I still got the same problem - it is not solved in 1.8 version. (Windows XP, Windows7/64 bit, Mac)

check master.  changes are not being backported to 1.8.  The next release will have the fix.

#7 - 2012-08-19 08:24 AM - Lene Fischer

So sorry - Same result in the master version.

#8 - 2012-08-20 05:18 AM - Giovanni Manghi

Lene Fischer wrote:

So sorry - Same result in the master version.

please provide sample data and exact steps/details in how reproduce. Cheers!
